--- /dev/null
+#!/bin/sh
+set -e
+if [ "$#" -eq 0 ];
+then
+ echo "Usage: $0 DIR" >&2
+ exit 1;
+fi
+TARGET="$(realpath "$1")"
+echo "Installing to $TARGET"
+rm -fr "$TARGET"
+mkdir -p "$TARGET"
+curl -sSL ftp://ftp.cs.ru.nl/pub/Clean/builds/linux-x64/clean-bundle-complete-linux-x64-latest.tgz \
+ | gunzip | tar --strip-components=1 --extract --directory="$TARGET"
+
+if [ "$CLEAN_HOME" != "$TARGET" ]; then
+ echo "Add or change \$CLEAN_HOME to \"$TARGET\""
+fi
+if ! hash clm; then
+ if [ "$(which clm)" != "$TARGET/bin" ]; then
+ echo "Replace the old clm path with \$CLEAN_HOME/bin in PATH"
+ else
+ echo "Add \$CLEAN_HOME/bin to your PATH"
+ fi
+fi
+echo "Done"